%define name ocrfeeder
%define version 0.7.11
%define release %mkrel 5

Summary:  OCRFeeder - Optical Character Recognition program
Name:    %{name}
Version: %{version}
Release: %{release}
Group:   Graphical desktop/GNOME
URL:     http://code.google.com/p/ocrfeeder/
Source0: http://code.google.com/p/ocrfeeder/%{name}-%{version}.tar.xz
Source1: %{name}.png
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
License: GPLv3
BuildRequires: gtk2-devel
BuildRequires: desktop-file-utils
BuildRequires: perl-XML-Parser
BuildRequires: pkgconfig
BuildRequires: gnome-doc-utils >= 0.3.2
BuildRequires: intltool >= 0.35.0
BuildRequires: gettext-devel
BuildRequires: python >= 2.6
BuildRequires: python-pillow-sane
BuildRequires: python-reportlab
BuildRequires: pygtk2.0
BuildRequires: gnome-python-gtkspell
BuildRequires: python-enchant
BuildRequires: python-pygoocanvas
BuildRequires: sane-backends
BuildRequires: python-pillow-sane
BuildArch: noarch
Requires: ghostscript
Requires: python-enchant
Requires: sane-backends
Requires: python-numarray
Requires: ghostscript
Requires: gnome-doc-utils
Requires: gnome-python-gtkspell
Requires: pygtk2.0
Requires: python
Requires: python-enchant
Requires: python-lxml
Requires: python-numarray
Requires: python-pillow
Requires: python-pillow-sane
Requires: python-pygoocanvas
Requires: python-reportlab
Requires: sane-backends
Requires: tesseract-language
Requires: unpaper
Obsoletes: %name < %version

%description
OCRFeeder is a complete Optical Character Recognition and Document Analysis
and Recognition program.

%prep
%setup -q 
sed -i s/'import Image'/'from PIL import Image'/g src/ocrfeeder/util/lib.py
sed -i s/'import Image'/'from PIL import Image'/g src/ocrfeeder/util/graphics.py
sed -i s/'import Image, ImageDraw'/'from PIL import Image, ImageDraw'/g src/ocrfeeder/feeder/imageManipulation.py
sed -i s/'import Image'/'from PIL import Image'/g src/ocrfeeder/feeder/layoutAnalysis.py
sed -i s/'from imageManipulation from PIL import ImageProcessor'/'from imageManipulation import ImageProcessor'/g src/ocrfeeder/feeder/layoutAnalysis.py
sed -i s/'import Image'/'from PIL import Image'/g src/ocrfeeder/studio/widgetPresenter.py
sed -i s/'import Image'/'from PIL import Image'/g src/ocrfeeder/studio/dataHolder.py

%build
%configure2_5x

%make
%install
rm -rf %buildroot
%makeinstall_std

#desktop
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
UTF=8
Type=Application
Name=OCRFeeder
Comment=The complete OCR suite.
TryExec=%{name}
Exec=%{name}
Icon=%{name}.png
MimeType=image/bmp;image/gif;image/jpeg;image/jpg;image/pjpeg;image/png;image/tiff;
Categories=Office;X-MandrivaLinux-Office-Other;
EOF

#icon 
mkdir -p %{buildroot}%{_datadir}/pixmaps
cp -r %SOURCE1 \
%{buildroot}%{_datadir}/pixmaps

%find_lang %{name}

%clean
rm -rf %buildroot


%files -f %{name}.lang
%doc NEWS README TRANSLATORS AUTHORS COPYING
%defattr(-,root,root)
%_bindir/%{name}
%_bindir/%{name}-cli
%_datadir/%{name}
%_datadir/pixmaps/%{name}.png
%_datadir/gnome/help/ocrfeeder
%_datadir/applications/%{name}.desktop
%_mandir/man1/*.1.bz2
%{py_sitedir}/*

%changelog
* Wed Dec 17 2014 bb <bb> 0.7.11-5pclos2014
- add more missing deps

* Tue Feb 04 2014 bb <bb> 0.7.11-4pclos2014
- add dep python-numarray

* Mon Feb 03 2014 Ken <lxgator at gmail.com> 0.7.11-3pclos2014
- rebuild with python-pillow-sane
- patched with pillow

